> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Update AccessLockTranslation entity.

> Updates an AccessLockTranslation entity.

- Product: Access locks
- Section: AccessLockTranslation
- Snapshot: Current
- Method: `PUT`
- Path: `/api/access_locks/{accessLockId}/translations/{id}`

## Path parameters

### `accessLockId`

Type: `number`  
Required: yes  

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `locale`

Type: `string`  
Required: no  

Locale

## Request body

Required: no  
Content types: `application/json`  

### `description`

Type: `string`  
Required: no  

### `public`

Type: `boolean`  
Required: no  

### `active`

Type: `boolean`  
Required: no  

### `AccessLock`

Type: `object`  
Required: no  

#### `id`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.accessLocks.translations.update({
  accessLockId: 0,
  id: 0,
});
```

## Execute with curl

```bash
curl -X PUT "https://app.recranet.com/api/access_locks/$ACCESSLOCKID/translations/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    -H 'Content-Type: application/json' \
    -d '{}'
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "locale": "locale",
    "description": "description",
    "public": true,
    "active": true,
    "accommodationUnit": null
  }
]
```

##### Schema

###### AccessLock[]

Type: `AccessLock[]`  

###### AccessLock

Type: `AccessLock`  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

###### `public`

Type: `boolean`  
Required: no  
Default: `true`  

###### `active`

Type: `boolean`  
Required: no  
Default: `true`  

###### `accommodationUnit`

Type: `object`  
Required: no  

###### `id`

Type: `number`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/access-locks/translations/methods/update/)
- [TypeScript Markdown](/access-locks/translations/methods/update.md?lang=typescript)
- [curl Markdown](/access-locks/translations/methods/update.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/access-locks/llms.txt)
- [snapshot llms.txt](/access-locks/llms.txt)
